# uproot.AsVector

Defined in uproot.containers on line 1088.

Inheritance order:
uproot.containers.AsVectorLike uproot.containers.AsContainer

class uproot.containers.AsVector(header, values)
  Parameters:

    - header (bool) – Sets the header.

    - values (uproot.Model or uproot.containers.Container) – Data type for data nested in the container.

  A uproot.containers.AsContainer for `std::vector`.

## values

AsVector.values

  Data type for data nested in the container.

## cache_key

Inherited from uproot.containers.AsContainer.

AsVector.cache_key

## typename

Inherited from uproot.containers.AsContainer.

AsVector.typename

## awkward_form

Inherited from uproot.containers.AsContainer.

AsVector.awkward_form(file, context)
  Parameters:

    - file (uproot.reading.CommonFileMethods) – The file associated with this interpretation’s `TBranch`.

    - context (dict) – Context for the Form-generation; defaults are the remaining arguments below.

    - index_format (str) – Format to use for indexes of the `awkward.forms.Form`; may be `"i32"`, `"u32"`, or `"i64"`.

    - header (bool) – If True, include header fields of each C++ class.

    - tobject_header (bool) – If True, include header fields of each `TObject` base class.

    - breadcrumbs (tuple of class objects) – Used to check for recursion. Types that contain themselves cannot be Awkward Arrays because the depth of instances is unknown.

  The `awkward.forms.Form` to use to put objects of type type in an Awkward Array.

## strided_interpretation

Inherited from uproot.containers.AsContainer.

AsVector.strided_interpretation(file, header=False, tobject_header=True, breadcrumbs=(), original=None)
  Parameters:

    - file (uproot.ReadOnlyFile) – File to use to generate uproot.Model classes from its streamers and `file_path` for error messages.

    - header (bool) – If True, assume the outermost object has a header.

    - tobject_header (bool) – If True, assume that `TObjects` have headers.

    - breadcrumbs (tuple of class objects) – Used to check for recursion. Types that contain themselves cannot be strided because the depth of instances is unknown.

    - original (None, uproot.Model, or uproot.containers.Container) – The original, non-strided model or container.

  Returns a list of (str, `numpy.dtype`) pairs to build a uproot.AsStridedObjects interpretation.

## header

Inherited from uproot.containers.AsContainer.

AsVector.header

  If True, assume this container has a header.

## read

Inherited from uproot.containers.AsContainer.

AsVector.read(chunk, cursor, context, file, selffile, parent, header=True)
  Parameters:

    - chunk (uproot.source.chunk.Chunk) – Buffer of contiguous data from the file uproot.source.chunk.Source.

    - cursor (uproot.Cursor) – Current position in that `chunk`.

    - context (dict) – Auxiliary data used in deserialization.

    - file (uproot.ReadOnlyFile) – An open file object, capable of generating new uproot.Model classes from its streamers.

    - selffile (uproot.reading.CommonFileMethods) – A possibly uproot.reading.DetachedFile associated with this object.

    - parent (None or calling object) – The previous `read` in the recursive descent.

    - header (bool) – If True, enable the container’s header.

  Read one object as part of a recursive descent.